# -*- coding: utf-8 -*-

import sys, glob, json, codecs

if __name__ == '__main__':
    for data in ("original", "transliterated"):
        for filename in sorted(glob.glob("data/%s/json/*.json" % data)):
            print(filename)
            recording_sanas = json.load(codecs.open(filename, "r", "utf-8"))
            for recording_sana in recording_sanas:
                print('title: %s' % recording_sana['title'])
                print('type: %s ' % recording_sana['type'])
                print('identifier: %s' % recording_sana['identifier'])
                print('poem: %s' % recording_sana['poem'])
                    
                print('number of detected sections: %s ' % len(recording_sana['sections']))
                for section in recording_sana['sections']:
                    print('section verses: %s' % len(section))
                    for i in range(0, len(section)):
                        print('\tverse %d: %s\n' % (i, " ".join(section[i][1:])))
            print('\n---------------------\n') #end of recording file

